For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • Overview
    • Introduction
    • Response Codes
  • API Reference
      • GETGet template
      • PUTUpdate template
      • DELDelete template
      • GETList templates
      • POSTCreate template
LogoLogo
API ReferenceTemplates

Update template

||View as Markdown|
PUT
https://hublinks.io/rest/accounts/:account_id/templates/:template_id
PUT
/rest/accounts/:account_id/templates/:template_id
$curl -X PUT https://hublinks.io/rest/accounts/account_id/templates/template_id \
> -H "X-API-KEY: <apiKey>" \
> -H "Content-Type: application/json"
200Response
1{
2 "success": true,
3 "template_new": {
4 "name": "Business Coaches - USA",
5 "group": "account_workflows",
6 "account_id": "ACCO136ce10b5f8a7682efb3",
7 "template_id": "template_3cd3786f8006f39d4a73"
8 },
9 "template_old": {
10 "name": "Business Coaches - US",
11 "group": "account_workflows",
12 "account_id": "ACCO136ce10b5f8a7682efb3",
13 "created_at": 1753382019986,
14 "updated_at": 1753382019986,
15 "description": "Business Coaches - US",
16 "template_id": "template_3cd3786f8006f39d4a73"
17 }
18}
Update a template. **Request body fields:** - `group` (string, required) - Template group identifier (e.g. `account_workflows`). - `workflow` (object, required for workflow templates) - Contains `name`, `description`, and `body` (nodes + edges graph). - `body.nodes` (array) - Workflow action nodes (type: `start-node` | `action-node`). - `body.edges` (array) - Connections between nodes. - `name` (string, optional on update) - Template display name.
Was this page helpful?
Previous

Get template

Next

Delete template

Built with

Update a template.

Request body fields:

  • group (string, required) - Template group identifier (e.g. account_workflows).
  • workflow (object, required for workflow templates) - Contains name, description, and body (nodes + edges graph).
    • body.nodes (array) - Workflow action nodes (type: start-node | action-node).
    • body.edges (array) - Connections between nodes.
  • name (string, optional on update) - Template display name.

Authentication

X-API-KEYstring
API Key authentication via header

Path parameters

account_idstringRequired
template_idstringRequired

Request

This endpoint expects an object.
namestringRequired
groupstringRequired

Response

This endpoint returns an object.
successboolean
template_newobject
template_oldobject